Name:                serp
Version:             1.15.2
Release:             1
Summary:             Byte-code manipulation framework
License:             BSD
Url:                 http://serp.sourceforge.net/
# cvs -d:pserver:anonymous@serp.cvs.sourceforge.net:/cvsroot/serp login
# cvs -z3 -d:pserver:anonymous@serp.cvs.sourceforge.net:/cvsroot/serp  export -r HEAD serp
# tar cJf serp-1.15.2-20150412-cvs.tar.xz serp
Source0:             serp-1.15.2-20150412-cvs.tar.xz

BuildRequires:       maven-local mvn(junit:junit)

BuildArch:           noarch

%description
The goal of the serp byte-code framework is to tap the full
power of byte-code modification while lowering its associated
costs. The framework provides a set of high-level APIs for
manipulating all aspects of byte-code, from large-scale
structures like class member fields to the individual
instructions that comprise the code of methods. While in
order to perform any advanced manipulation, some understanding
of the class file format and especially of the JVM instruction
set is necessary, the framework makes it as easy as possible
to enter the world of byte-code development.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}
find . -name "*.class" -delete
find . -name "*.jar" -delete

%pom_remove_plugin :jxr-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :surefire-report-maven-plugin
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-javadoc-plugin']"

%mvn_file :%{name} %{name}
%mvn_alias :%{name} %{name}:%{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Aug 21 2020 wangxiao <wangxiao65@huawei.com> - 1.15.2-1
- package init
